首页 新闻 搜索 专区 学院

SQL2008R2和SQL2005兼容问题已调兼容级别还是报错。

0
悬赏园豆:10 [已解决问题] 解决于 2015-04-07 20:57

 把SQL2008R2的兼容级别调为90.把烤出来的数据文件和日志文件附加到SQL2005中。

天羽星河落的主页 天羽星河落 | 初学一级 | 园豆:188
提问于:2015-04-07 16:55
< >
分享
最佳答案
0

兼容级别不是用来干这事的。

收获园豆:10
爱编程的大叔 | 高人七级 |园豆:30753 | 2015-04-07 17:20

求大叔详解,这个兼容是干嘛的啊。我要把高版本的数据库移植到低版本,怎么搞啊。生成脚本的话还有一堆加密的储存过程,很麻烦。

天羽星河落 | 园豆:188 (初学一级) | 2015-04-07 17:24

@天羽星河落:

1、 兼容级别干啥的,类似于IE11上让你可以当成IE6看网页。就是让SQL2008兼容2005的命令。

2、生成脚本你都知道了,麻烦那是,谁让你要加密存储过程呢。

爱编程的大叔 | 园豆:30753 (高人七级) | 2015-04-07 17:44

@爱编程的大叔: 了解原来兼容是干这的。。我还是生成脚本慢慢移吧,,我也不知道公司为了保密还是干什么存储还加密。

天羽星河落 | 园豆:188 (初学一级) | 2015-04-07 20:57
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册